using UnityEngine;

namespace script
{
    public class GameManager : MonoBehaviour
    {
        private static GameManager _instance;
        
        private void Awake()
        {
            if (_instance != null && _instance != this)
            {
                Destroy(this.gameObject);
            }
            else
            {
                _instance = this;
                DontDestroyOnLoad(this.gameObject);
            }

            #if UNITY_ANDROID
            {
                Screen.orientation = ScreenOrientation.LandscapeLeft;
                var refreshRate = Screen.currentResolution.refreshRateRatio.numerator;
                Application.targetFrameRate = 10000; //(int)refreshRate;
            }
            #endif
        }
    
        // Start is called once before the first execution of Update after the MonoBehaviour is created
        void Start()
        {
        
        }

        // Update is called once per frame
        void Update()
        {
        
        }
    }
}
